@import url('https://fonts.googleapis.com/css?family=Raleway|Roboto');

@mixin centerer {
  margin-top: 10%;
  position: absolute;
  left: 50%;
  transform: translate(-50%, -50%);
}

$gray: #ececec;
$first: #ffcc00;
$second: #c0c0c0;
$third: #cd7f32;

body {
  margin: auto;
  font-family: 'Raleway', sans-serif;
  overflow: auto;
  background: linear-gradient(315deg, #190018 3%, rgba(7, 20, 33, 0.737) 38%, #4d3001 68%, #380000 98%);
  animation: gradient 15s ease infinite;
  background-size: 400% 400%;
  background-attachment: fixed;
}

@keyframes gradient {
  0% { background-position: 0% 0%; }
  50% { background-position: 100% 100%; }
  100% { background-position: 0% 0%; }
}

.wave {
  background: rgba(255, 255, 255, 0.25%);
  border-radius: 1000% 1000% 0 0;
  position: fixed;
  width: 200%;
  height: 12em;
  animation: wave 10s -3s linear infinite;
  transform: translate3d(0, 0, 0);
  opacity: 0.8;
  bottom: 0;
  left: 0;
  z-index: -1;
}

.wave:nth-of-type(2) {
  bottom: -1.25em;
  animation: wave 18s linear reverse infinite;
  opacity: 0.8;
}

.wave:nth-of-type(3) {
  bottom: -2.5em;
  animation: wave 20s -1s reverse infinite;
  opacity: 0.9;
}

@keyframes wave {
  2% { transform: translateX(1); }
  25% { transform: translateX(-25%); }
  50% { transform: translateX(-50%); }
  75% { transform: translateX(-25%); }
  100% { transform: translateX(1); }
}

.table-wrapper {
  margin: 10px 170px 70px;
  box-shadow: 0px 35px 50px rgba(0, 0, 0, 0.2);
}

.fl-table {
  border-radius: 5px;
  font-size: 12px;
  font-weight: normal;
  border: none;
  border-collapse: collapse;
  width: 100%;
  max-width: 100%;
  white-space: nowrap;
  background-color: transparent;
}

.fl-table td, .fl-table th {
  font-size: 15px;
  text-align: center;
  padding: 8px;
  text-shadow: #000000 0px 1px 2px;
}

.fl-table td {
  border: 1px solid #f7f7f9;
  font-size: 14px;
  color: #fff;
  background-color: rgba(240, 248, 255, 0.233);
}

.fl-table thead th {
  border: 1px solid #f7f7f9;
  color: #ffffff;
  background: #32826a;
}

.fl-table thead th:nth-child(odd) {
  color: #ffffff;
  background: #2d727a;
}

.fl-table tr:nth-child(even) {
  background: transparent;
}

@media (max-width: 767px) {
  .fl-table {
    display: block;
    width: 100%;
  }
  .table-wrapper:before {
    content: "Scroll horizontally >";
    display: block;
    text-align: right;
    font-size: 11px;
    color: white;
    padding: 0 0 10px;
  }
  .fl-table thead, .fl-table tbody, .fl-table thead th {
    display: block;
  }
  .fl-table thead th:last-child {
    border-bottom: none;
  }
  .fl-table thead {
    float: left;
  }
  .fl-table tbody {
    width: auto;
    position: relative;
    overflow-x: auto;
  }
  .fl-table td, .fl-table th {
    padding: 20px 0.625em 0.625em 0.625em;
    height: 60px;
    vertical-align: middle;
    box-sizing: border-box;
    overflow-x: hidden;
    overflow-y: auto;
    width: 120px;
    font-size: 13px;
    text-overflow: ellipsis;
  }
  .fl-table thead th {
    text-align: left;
    border-bottom: 1px solid #f7f7f9;
  }
  .fl-table tbody tr {
    display: table-cell;
  }
  .fl-table tbody tr:nth-child(odd) {
    background: none;
  }
  .fl-table tr:nth-child(even) {
    background: transparent;
  }
  .fl-table tr td:nth-child(odd) {
    background: transparent;
    border-right: 1px solid #e6e4e4;
  }
  .fl-table tr td:nth-child(even) {
    border-right: 1px solid #e6e4e4;
  }
  .fl-table tbody td {
    display: block;
    text-align: center;
  }
}

.fl-table tr:hover {
  background-color: #1e132b7e;
}

.fl-table td:hover {
  background-color: #1e132b7e;
}

.fl-table tbody:hover {
  background-color: #1e132b7e;
}

.reveal {
  animation: reveal-animation 0.5s forwards;
}

@keyframes reveal-animation {
  from {
    opacity: 0;
    transform: translateY(20px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

// FORM::::::::::::::::::::::::::::::::::::::::::::::
.container {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 20px;
}

.form-title {
  margin-right: 40%;
  margin-bottom: 20px;

  text-align: center;
}
.score-form {
  display: grid;
  grid-template-columns: auto auto auto;
  gap: 13px;
  row-gap: 10px;
  margin-bottom: 10px;
}

.score-form label {
  color: #fff;
  font-weight: bold;
  margin-right: 8px;
}

.score-form input {
  padding: 10px;
  border-radius: 5px;
  background-color: #f0f0f052;
  color: white;
}


.score-form select {
  padding: 10px;
  width: 180px;
  border-radius: 5px;
  background-color: #f0f0f052;
  color: #000000;
  font-size: 16px;
  transition: border-color 0.3s ease;
  text-align: auto;
}

.score-form select:focus {
  outline: none;
  border-color: #ffffff;
}

.score-form select:hover {
  border-color: #999;
}


.container button {
  padding: 10px;
  border-radius: 5px;
  background-color: #32826a;
  color: #fff;
  font-weight: bold;
  border: none;
  cursor: pointer;
  margin-bottom: 5%;
}

.score-form button:hover {
  background-color: #2d727a;
}


.credits {
  font-size: 14px;
  text-align: center;
  margin: 20px 0;
}


//TEXT ______________________________________________________________________
h3{
  margin-top: 20px;
  text-align: center;
  color: #fff;
  text-shadow: #000000 0px 1px 1px;
  align-items: flex-start;
  border: #c0c0c0 dotted;
}
h2{
  margin-top: 20px;
  margin-left: auto;
  margin-bottom: 10px;
  text-align: left;
  color: #fff;
  text-shadow: #000000 0px 2px 2px;
}
p{
  color: whitesmoke;
  font-weight: bold;
  font-size: 16px;
}

//podio______________________________________________________________________
.scoreboard {
  text-align: center;
}

.scoreboard__podiums {
  display: flex;
  justify-content: center;
  gap: 30px;
  margin-top: 20px;
  align-items: flex-end;
  opacity: 0;
  transform: translateY(100%);
  transition: opacity 1s ease, transform 1s ease;
  animation-duration: 5s;
}

.scoreboard__podiums.reveal{
  opacity: 10;
  transform: translateY(0);

}

.podium {
  width: 150px;
  height: 250px;
  border: 1.5px solid #fff;
  border-radius: 5px;
}

.first-place {
  background-color: #00811a;
}

.second-place {
  background-color: #57009a;
  height: 180px;
}

.third-place {
  background-color: #cd3232;
  height: 110px;
}

